> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thena.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a ticket type by ID



## OpenAPI

````yaml get /v1/tickets/type/{id}
openapi: 3.0.0
info:
  title: Thena Platform
  description: The Thena Platform API description
  version: '1.0'
  contact: {}
servers:
  - url: https://platform.thena.ai
    description: production
security:
  - bearerAuth: []
tags:
  - name: Thena Platform APIs
    description: ''
paths:
  /v1/tickets/type/{id}:
    get:
      tags:
        - Tickets
      summary: Get a ticket type by ID
      operationId: TicketTypeActionController_getTicketTypeById
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Operation successful
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CommonTicketTypeResponse'
        '401':
          description: User is not authenticated!
        '403':
          description: User does not have access to this resource!
        '404':
          description: Resource not found!
        '429':
          description: Too many requests!
        '500':
          description: Something went wrong!
        '503':
          description: This service/resource is currently unavailable.
components:
  schemas:
    CommonTicketTypeResponse:
      type: object
      properties:
        status:
          type: boolean
          default: true
          description: The status of the response
        message:
          type: string
          default: Success
          description: The message of the response
        timestamp:
          format: date-time
          type: string
          default: '2024-01-01T00:00:00.000Z'
          description: The timestamp of the response
        data:
          description: The response for create/update/delete ticket type operations
          allOf:
            - $ref: '#/components/schemas/TicketTypeResponseDto'
      required:
        - status
        - message
        - timestamp
        - data
    TicketTypeResponseDto:
      type: object
      properties:
        id:
          type: string
          description: The unique identifier of the ticket
        name:
          type: string
          description: The name of the ticket type
        color:
          type: string
          description: The color of the ticket type
        icon:
          type: string
          description: The icon of the ticket type
        isActive:
          type: boolean
          description: Whether the ticket type is active
        teamId:
          type: string
          description: The team ID of the ticket type
        organizationId:
          type: string
          description: The organization ID of the ticket type
        autoAssign:
          type: boolean
          description: Whether the ticket type is auto-assigned
      required:
        - id
        - name
        - color
        - icon
        - isActive
        - teamId
        - organizationId
        - autoAssign
  securitySchemes:
    bearerAuth:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: Enter the bearer token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.